Debian Bug report logs - #575797
There is no layout engine support for "dot". Perhaps "dot -c" needs to be run (with installer's privileges) to register the plugins?

version graph

Package: graphviz; Maintainer for graphviz is Debian QA Group <packages@qa.debian.org>; Source for graphviz is src:graphviz.

Reported by: "Trent W. Buck" <trentbuck@gmail.com>

Date: Mon, 29 Mar 2010 10:36:02 UTC

Severity: important

Tags: patch

Found in version graphviz/2.26.3-3

Fixed in version graphviz/2.26.3-7

Done: Christoph Egger <christoph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Claughton <dave@eclecticdave.com>:
Bug#575797; Package graphviz. (Mon, 29 Mar 2010 10:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
New Bug report received and forwarded. Copy sent to David Claughton <dave@eclecticdave.com>. (Mon, 29 Mar 2010 10:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: There is no layout engine support for "dot". Perhaps "dot -c" needs to be run (with installer's privileges) to register the plugins?
Date: Mon, 29 Mar 2010 21:31:20 +1100
Package: graphviz
Version: 2.26.3-3
Severity: important

Upon installing graphviz, I am confronted with

    $ dot --help
    There is no layout engine support for "dot"
    Perhaps "dot -c" needs to be run (with installer's privileges) to register the plugins?

I don't remember seeing this before.  Is there any reason this
operation can't be done at build time (debian/rules) or at install
time (debian/postinst)?

Running "sudo dot -c" appears to fix it.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.33-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.utf8, LC_CTYPE=en_AU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages graphviz depends on:
ii  libc6                2.10.2-6            Embedded GNU C Library: Shared lib
ii  libcdt4              2.26.3-3            rich set of graph drawing tools - 
ii  libcgraph5           2.26.3-3            rich set of graph drawing tools - 
ii  libexpat1            2.0.1-7             XML parsing C library - runtime li
ii  libgd2-noxpm         2.0.36~rc1~dfsg-3.1 GD Graphics Library version 2 (wit
ii  libgraph4            2.26.3-3            rich set of graph drawing tools - 
ii  libgvc5              2.26.3-3            rich set of graph drawing tools - 
ii  libgvpr1             2.26.3-3            rich set of graph drawing tools - 
ii  libx11-6             2:1.3.3-2           X11 client-side library
ii  libxaw7              2:1.0.7-1           X11 Athena Widget library
ii  libxmu6              2:1.0.5-1           X11 miscellaneous utility library
ii  libxt6               1:1.0.7-1           X11 toolkit intrinsics library

Versions of packages graphviz recommends:
ii  ttf-liberation         1.05.2.20091019-4 Fonts with the same metrics as Tim

Versions of packages graphviz suggests:
pn  graphviz-doc  <none>                     (no description available)
ii  gsfonts       1:8.11+urwcyr1.0.7~pre44-4 Fonts for the Ghostscript interpre

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#575797; Package graphviz. (Mon, 29 Mar 2010 22:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Claughton <dave@eclecticdave.com>:
Extra info received and forwarded to list. (Mon, 29 Mar 2010 22:36:08 GMT) Full text and rfc822 format available.

Message #10 received at 575797@bugs.debian.org (full text, mbox):

From: David Claughton <dave@eclecticdave.com>
To: "Trent W. Buck" <trentbuck@gmail.com>, 575797@bugs.debian.org
Subject: Re: Bug#575797: There is no layout engine support for "dot". Perhaps "dot -c" needs to be run (with installer's privileges) to register the plugins?
Date: Mon, 29 Mar 2010 19:36:11 +0100
Trent W. Buck wrote:
> Package: graphviz
> Version: 2.26.3-3
> Severity: important
> 
> Upon installing graphviz, I am confronted with
> 
>     $ dot --help
>     There is no layout engine support for "dot"
>     Perhaps "dot -c" needs to be run (with installer's privileges) to register the plugins?
> 
> I don't remember seeing this before.  Is there any reason this
> operation can't be done at build time (debian/rules) or at install
> time (debian/postinst)?
> 
> Running "sudo dot -c" appears to fix it.
> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (1, 'experimental')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.33-2-amd64 (SMP w/2 CPU cores)
> Locale: LANG=en_AU.utf8, LC_CTYPE=en_AU.utf8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages graphviz depends on:
> ii  libc6                2.10.2-6            Embedded GNU C Library: Shared lib
> ii  libcdt4              2.26.3-3            rich set of graph drawing tools - 
> ii  libcgraph5           2.26.3-3            rich set of graph drawing tools - 
> ii  libexpat1            2.0.1-7             XML parsing C library - runtime li
> ii  libgd2-noxpm         2.0.36~rc1~dfsg-3.1 GD Graphics Library version 2 (wit
> ii  libgraph4            2.26.3-3            rich set of graph drawing tools - 
> ii  libgvc5              2.26.3-3            rich set of graph drawing tools - 
> ii  libgvpr1             2.26.3-3            rich set of graph drawing tools - 
> ii  libx11-6             2:1.3.3-2           X11 client-side library
> ii  libxaw7              2:1.0.7-1           X11 Athena Widget library
> ii  libxmu6              2:1.0.5-1           X11 miscellaneous utility library
> ii  libxt6               1:1.0.7-1           X11 toolkit intrinsics library
> 
> Versions of packages graphviz recommends:
> ii  ttf-liberation         1.05.2.20091019-4 Fonts with the same metrics as Tim
> 
> Versions of packages graphviz suggests:
> pn  graphviz-doc  <none>                     (no description available)
> ii  gsfonts       1:8.11+urwcyr1.0.7~pre44-4 Fonts for the Ghostscript interpre
> 
> -- no debconf information
> 

Hi Trent,

Strange, it works fine here.  It should be doing exactly what you
suggest - /usr/sbin should have command libgvc5-config-update installed,
which is actually a copy of dot, and it should run
"libgvc5-config-update -c" in libgvc5.postinst.

The only change I've made to this file recently is to remove the
absolute path from the command (i.e. it used to say
"/usr/sbin/libgvc5-config-update -c").  This was because lintian was
complaining about it and since /usr/sbin should be in root's path, I
decided to appease it.

Is it possible that /usr/sbin isn't on root's path on your machine?

Cheers,

	David.





Reply sent to trentbuck@gmail.com:
You have taken responsibility. (Tue, 30 Mar 2010 01:48:03 GMT) Full text and rfc822 format available.

Notification sent to "Trent W. Buck" <trentbuck@gmail.com>:
Bug acknowledged by developer. (Tue, 30 Mar 2010 01:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 575797-done@bugs.debian.org (full text, mbox):

From: trentbuck@gmail.com
To: David Claughton <dave@eclecticdave.com>
Cc: 575797-done@bugs.debian.org
Subject: Re: Bug#575797: There is no layout engine support for "dot". Perhaps "dot -c" needs to be run (with installer's privileges) to register the plugins?
Date: Tue, 30 Mar 2010 12:40:33 +1100
David Claughton wrote:
>> Upon installing graphviz, I am confronted with
>>
>>     $ dot --help
>>     There is no layout engine support for "dot"
>>     Perhaps "dot -c" needs to be run (with installer's privileges) to register the plugins?
>>
>> I don't remember seeing this before.  Is there any reason this
>> operation can't be done at build time (debian/rules) or at install
>> time (debian/postinst)?
>>
>> Running "sudo dot -c" appears to fix it.
>
> Strange, it works fine here.  It should be doing exactly what you
> suggest - /usr/sbin should have command libgvc5-config-update installed,
> which is actually a copy of dot, and it should run
> "libgvc5-config-update -c" in libgvc5.postinst.

That's weird; in /var/lib/dpkg/info I don't have a libgvc5.postinst,
nor a cron.postinst (see below).

> The only change I've made to this file recently is to remove the
> absolute path from the command (i.e. it used to say
> "/usr/sbin/libgvc5-config-update -c").  This was because lintian was
> complaining about it and since /usr/sbin should be in root's path, I
> decided to appease it.
>
> Is it possible that /usr/sbin isn't on root's path on your machine?

I almost certainly did "sudo aptitude install graphviz", with a stock
sudo configuration.  From "sudo env | grep PATH" I get

    PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin

This is the second case I've noticed lately where installing a new
package didn't run the postinst properly.  The other was cron -- the
/var/spool/crontab directories where chowned/chmodded correctly, but
/usr/sbin/crontab wasn't.

This is very strange, but clearly not graphviz' fault, so I'm closing
this ticket.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Apr 2010 07:34:36 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Christoph Egger <christoph@debian.org> to control@bugs.debian.org. (Wed, 04 May 2011 18:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, David Claughton <dave@eclecticdave.com>:
Bug#575797; Package graphviz. (Wed, 04 May 2011 18:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-bsd@lists.debian.org, David Claughton <dave@eclecticdave.com>. (Wed, 04 May 2011 18:18:06 GMT) Full text and rfc822 format available.

Message #24 received at 575797@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 575797@bugs.debian.org
Subject: Seen regularly on kfreebsd-* buildds
Date: Wed, 04 May 2011 20:15:45 +0200
[Message part 1 (text/plain, inline)]
Hi!

    I'm seeing this from time to time on kfreebsd-* buildlogs
(e.g. libgphoto2 or the little older sbcl 1.0.46.0 build. and can at
least reproduce it when building libgphoto2 with sbuild on my local
kfreebsd-i386 box which has the mentioned line in postinst. Trying to
get some more info right now.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer

A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?
[Message part 2 (application/pgp-signature, inline)]

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 May 2011 19:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Claughton <dave@eclecticdave.com>:
Bug#575797; Package graphviz. (Wed, 04 May 2011 19:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to David Claughton <dave@eclecticdave.com>. (Wed, 04 May 2011 19:39:05 GMT) Full text and rfc822 format available.

Message #31 received at 575797@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 575797@bugs.debian.org
Subject: Seen regularly on kfreebsd-* buildds
Date: Wed, 04 May 2011 20:15:45 +0200
[Message part 1 (text/plain, inline)]
Hi!

    I'm seeing this from time to time on kfreebsd-* buildlogs
(e.g. libgphoto2 or the little older sbcl 1.0.46.0 build. and can at
least reproduce it when building libgphoto2 with sbuild on my local
kfreebsd-i386 box which has the mentioned line in postinst. Trying to
get some more info right now.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer

A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Claughton <dave@eclecticdave.com>:
Bug#575797; Package graphviz. (Wed, 04 May 2011 22:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to David Claughton <dave@eclecticdave.com>. (Wed, 04 May 2011 22:33:05 GMT) Full text and rfc822 format available.

Message #36 received at 575797@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 575797@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: some more stuff
Date: Thu, 05 May 2011 00:32:21 +0200
Hi!

    First: as per KiBi's suggestion I've made sure this happens both on
real hardware and on kvm based hosts. second, installed graphviz in my
schroot by hand:

(unstable-kfreebsd-i386-sbuild)root@escher:~# dot --help 
There is no layout engine support for "dot"
Perhaps "dot -c" needs to be run (with installer's privileges) to register the plugins?
(unstable-kfreebsd-i386-sbuild)root@escher:~# sh -x /var/lib/dpkg/info/libgvc5.postinst
+ set -e
+ [ -x /usr/sbin/libgvc5-config-update ]
+ libgvc5-config-update -c
+ [ -f /usr/lib/graphviz/config ]
+ [  = configure ]
(unstable-kfreebsd-i386-sbuild)root@escher:~# dot --help                               
There is no layout engine support for "dot"
Perhaps "dot -c" needs to be run (with installer's privileges) to
register the plugins?

Regards

    Christoph
-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer

A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#575797; Package graphviz. (Thu, 05 May 2011 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Claughton <dave@eclecticdave.com>:
Extra info received and forwarded to list. (Thu, 05 May 2011 19:15:03 GMT) Full text and rfc822 format available.

Message #41 received at 575797@bugs.debian.org (full text, mbox):

From: David Claughton <dave@eclecticdave.com>
To: Christoph Egger <christoph@debian.org>, 575797@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#575797: some more stuff
Date: Thu, 05 May 2011 20:13:03 +0100
On 04/05/11 23:32, Christoph Egger wrote:
> (unstable-kfreebsd-i386-sbuild)root@escher:~# dot --help 
> There is no layout engine support for "dot"
> Perhaps "dot -c" needs to be run (with installer's privileges) to register the plugins?
> (unstable-kfreebsd-i386-sbuild)root@escher:~# sh -x /var/lib/dpkg/info/libgvc5.postinst
> + set -e
> + [ -x /usr/sbin/libgvc5-config-update ]
> + libgvc5-config-update -c
> + [ -f /usr/lib/graphviz/config ]
> + [  = configure ]
> (unstable-kfreebsd-i386-sbuild)root@escher:~# dot --help                               
> There is no layout engine support for "dot"
> Perhaps "dot -c" needs to be run (with installer's privileges) to
> register the plugins?

Hmm, very strange!

Does /usr/lib/graphviz/config6 exist in the chroot after running the
postinst?  If so, does it contain an entry for
libgvplugin_dot_layout.so.6 (and just to be sure, hopefully this file
does exist in the same directory)?

Cheers,

	David.





Information forwarded to debian-bugs-dist@lists.debian.org, David Claughton <dave@eclecticdave.com>:
Bug#575797; Package graphviz. (Tue, 17 May 2011 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to David Claughton <dave@eclecticdave.com>. (Tue, 17 May 2011 21:42:03 GMT) Full text and rfc822 format available.

Message #46 received at 575797@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 575797@bugs.debian.org
Subject: `dot -c`: more data
Date: Tue, 17 May 2011 23:39:47 +0200
(unstable-kfreebsd-i386-sbuild)root@escher:~# dot --help
There is no layout engine support for "dot"
Perhaps "dot -c" needs to be run (with installer's privileges) to register the plugins?
(unstable-kfreebsd-i386-sbuild)root@escher:~# libgvc5-config-update -c
(unstable-kfreebsd-i386-sbuild)root@escher:~# dot --help              
There is no layout engine support for "dot"
Perhaps "dot -c" needs to be run (with installer's privileges) to register the plugins?
(unstable-kfreebsd-i386-sbuild)root@escher:~# ls -lha /usr/lib/graphviz/
total 628K
drwxr-xr-x  2 root root 1.0K May 17 04:17 .
drwxr-xr-x 24 root root 5.5K May 17 04:18 ..
lrwxr-xr-x  1 root root   25 May  4 11:56 libgvplugin_core.so.6 -> libgvplugin_core.so.6.0.0
-rw-r--r--  1 root root  72K May  4 11:56 libgvplugin_core.so.6.0.0
lrwxr-xr-x  1 root root   31 May  4 11:56 libgvplugin_dot_layout.so.6 -> libgvplugin_dot_layout.so.6.0.0
-rw-r--r--  1 root root 112K May  4 11:56 libgvplugin_dot_layout.so.6.0.0
lrwxr-xr-x  1 root root   23 May  4 11:56 libgvplugin_gd.so.6 -> libgvplugin_gd.so.6.0.0
-rw-r--r--  1 root root  38K May  4 11:56 libgvplugin_gd.so.6.0.0
lrwxr-xr-x  1 root root   33 May  4 11:56 libgvplugin_neato_layout.so.6 -> libgvplugin_neato_layout.so.6.0.0
-rw-r--r--  1 root root 343K May  4 11:56 libgvplugin_neato_layout.so.6.0.0
lrwxr-xr-x  1 root root   26 May  4 11:56 libgvplugin_pango.so.6 -> libgvplugin_pango.so.6.0.0
-rw-r--r--  1 root root  19K May  4 11:56 libgvplugin_pango.so.6.0.0
lrwxr-xr-x  1 root root   25 May  4 11:56 libgvplugin_xlib.so.6 -> libgvplugin_xlib.so.6.0.0
-rw-r--r--  1 root root  10K May  4 11:56 libgvplugin_xlib.so.6.0.0
(unstable-kfreebsd-i386-sbuild)root@escher:~# ls /usr/lib/graphviz/config6
ls: cannot access /usr/lib/graphviz/config6: No such file or directory
(unstable-kfreebsd-i386-sbuild)root@escher:~# 


-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer

A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?




Information forwarded to debian-bugs-dist@lists.debian.org, David Claughton <dave@eclecticdave.com>:
Bug#575797; Package graphviz. (Tue, 17 May 2011 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@christoph-egger.org>:
Extra info received and forwarded to list. Copy sent to David Claughton <dave@eclecticdave.com>. (Tue, 17 May 2011 21:51:03 GMT) Full text and rfc822 format available.

Message #51 received at 575797@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@christoph-egger.org>
To: 575797@bugs.debian.org
Subject: `dot -c`: not coping with chroot environment?
Date: Tue, 17 May 2011 23:46:59 +0200
[Message part 1 (text/plain, inline)]
excerpt from ktrace/kdump -- is that confusion regarding the chrooted
environment (kfreebsd guys in Cc for that question) -- a ls / doesn's
show any trace of the chroot prefix so it probably *should* not be there

 25073 libgvc5-config-upda NAMI  "/proc/self/maps"
 25073 libgvc5-config-upda RET   open 3
 25073 libgvc5-config-upda CALL  fstat(0x3,0xbfbfe750)
 25073 libgvc5-config-upda STRU  struct stat {dev=151060236, ino=2225073, mode=-r--r--r-- , nlink=1, uid=0, gid=0, rdev=4294967295, atime=1305606374.522843234, stime=1305606374.522843234, ctime=1305606374.522843234, birthtime=-1, size=0, blksize=4096, blocks=0, flags=0x0 }
 25073 libgvc5-config-upda RET   fstat 0
 25073 libgvc5-config-upda CALL  mmap(0,0x1000,PROT_READ|PROT_WRITE,MAP_ANON|MAP_TYPE|MAP_PRIVATE,0xffffffff,0,0)
 25073 libgvc5-config-upda RET   mmap 673751040/0x2828a000
 25073 libgvc5-config-upda CALL  read(0x3,0x2828a000,0x1000)
 25073 libgvc5-config-upda GIO   fd 3 read 2746 bytes
       "08048000-08049000 r-xp 00002000 00:00 406079     /srv/schroot/unstable/usr/sbin/libgvc5-config-update
	08049000-0806b000 rw-p 00022000 00:00 0
	28049000-28064000 r-xp 0001d000 00:00 400659     /srv/schroot/unstable/lib/ld-2.13.so
	28064000-28065000 r--p 0001d000 00:00 400659     /srv/schroot/unstable/lib/ld-2.13.so
	28065000-28068000 rw-p 00003000 00:00 0
	28068000-2806b000 r--p 00003000 00:00 406738     /srv/schroot/unstable/etc/ld.so.cache
	2806b000-280cd000 r-xp 0006e000 00:00 406078     /srv/schroot/unstable/usr/lib/libgvc.so.5.0.0
	280cd000-280da000 rw-p 0006e000 00:00 406078     /srv/schroot/unstable/usr/lib/libgvc.so.5.0.0
	280da000-280e6000 r-xp 0000d000 00:00 405098     /srv/schroot/unstable/usr/lib/libgraph.so.4.0.0
	280e6000-280e7000 rw-p 0000d000 00:00 405098     /srv/schroot/unstable/usr/lib/libgraph.so.4.0.0
	280e7000-2820b000 r-xp 00129000 00:00 400677     /srv/schroot/unstable/lib/libc-2.13.so
	2820b000-2820d000 r--p 00129000 00:00 400677     /srv/schroot/unstable/lib/libc-2.13.so
	2820d000-2820e000 rw-p 00129000 00:00 400677     /srv/schroot/unstable/lib/libc-2.13.so
	2820e000-28212000 rw-p 00004000 00:00 0
	28212000-28215000 r-xp 00003000 00:00 406072     /srv/schroot/unstable/usr/lib/libxdot.so.4.0.0
	28215000-28216000 rw-p 00003000 00:00 406072     /srv/schroot/unstable/usr/lib/libxdot.so.4.0.0
	28216000-2821b000 r-xp 00005000 00:00 405063     /srv/schroot/unstable/usr/lib/libcdt.so.4.0.0
	2821b000-2821c000 rw-p 00005000 00:00 405063     /srv/schroot/unstable/usr/lib/libcdt.so.4.0.0
	2821c000-28223000 r-xp 00008000 00:00 406066     /srv/schroot/unstable/usr/lib/libpathplan.so.4.0.0
	28223000-28224000 rw-p 00008000 00:00 406066     /srv/schroot/unstable/usr/lib/libpathplan.so.4.0.0
	28224000-28226000 r-xp 00003000 00:00 400680     /srv/schroot/unstable/lib/libdl-2.13.so
	28226000-28227000 r--p 00003000 00:00 400680     /srv/schroot/unstable/lib/libdl-2.13.so
	28227000-28228000 rw-p 00003000 00:00 400680     /srv/schroot/unstable/lib/libdl-2.13.so
	28228000-2824c000 r-xp 00026000 00:00 401410     /srv/schroot/unstable/usr/lib/libexpat.so.1.5.2
	2824c000-2824e000 rw-p 00026000 00:00 401410     /srv/schroot/unstable/usr/lib/libexpat.so.1.5.2
	2824e000-28261000 r-xp 00014000 00:00 404381     /srv/schroot/unstable/usr/lib/libz.so.1.2.3.4
	28261000-28262000 rw-p 00014000 00:00 404381     /srv/schroot/unstable/usr/lib/libz.so.1.2.3.4
	28262000-28263000 rw-p 00001000 00:00 0
	28263000-28287000 r-xp 00025000 00:00 400681     /srv/schroot/unstable/lib/libm-2.13.so
	28287000-28288000 r--p 00025000 00:00 400681     /srv/schroot/unstable/lib/libm-2.13.so
	28288000-28289000 rw-p 00025000 00:00 400681     /srv/schroot/unstable/lib/libm-2.13.so
	28289000-2828b000 rw-p 00002000 00:00 0
	bfbe0000-bfc00000 rwxp 00020000 00:00 0
       "
 25073 libgvc5-config-upda RET   read 2746/0xaba
 25073 libgvc5-config-upda CALL  close(0x3)
 25073 libgvc5-config-upda RET   close 0
 25073 libgvc5-config-upda CALL  munmap(0x2828a000,0x1000)
 25073 libgvc5-config-upda RET   munmap 0
 25073 libgvc5-config-upda CALL  stat(0x280d9160,0xbfbfe950)
 25073 libgvc5-config-upda NAMI  "/srv/schroot/unstable/usr/lib/graphviz"
 25073 libgvc5-config-upda RET   stat -1 errno 2 No such file or directory
 25073 libgvc5-config-upda CALL  stat(0x280d9160,0xbfbfe810)
 25073 libgvc5-config-upda NAMI  "/srv/schroot/unstable/usr/lib/graphviz"
 25073 libgvc5-config-upda RET   stat -1 errno 2 No such file or directory
 25073 libgvc5-config-upda CALL  exit(0)

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer

A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Claughton <dave@eclecticdave.com>:
Bug#575797; Package graphviz. (Wed, 18 May 2011 05:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to David Claughton <dave@eclecticdave.com>. (Wed, 18 May 2011 05:33:03 GMT) Full text and rfc822 format available.

Message #56 received at 575797@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 575797@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: `dot -c`: not coping with chroot environment?
Date: Wed, 18 May 2011 07:35:26 +0200 (CEST)
Unfortunately, the provided "proc/self/maps" is only close to linux one,
it does not cope with chroots.

The comment in graphviz source already says it works only on linux ;-)

Please, could you verify whether this change works:

--- a/lib/gvc/gvconfig.c
+++ b/lib/gvc/gvconfig.c
@@ -316,7 +316,8 @@
                            continue;
                        strcpy(line, path);  /* use line buffer for result */
                        strcat(line, "/graphviz");  /* plugins are in "graphviz" subdirectory */
-                       libdir = line;
+                       if (access(line, R_OK))
+                           libdir = line;
                        break;
                    }
                }




On Tue, 17 May 2011, Christoph Egger wrote:

>
> context: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=575797
>
> Christoph Egger <christoph@christoph-egger.org> writes:
>> excerpt from ktrace/kdump -- is that confusion regarding the chrooted
>> environment (kfreebsd guys in Cc for that question) -- a ls / doesn's
>> show any trace of the chroot prefix so it probably *should* not be there
>>
>>  25073 libgvc5-config-upda NAMI  "/proc/self/maps"
>>  25073 libgvc5-config-upda RET   open 3
>>  25073 libgvc5-config-upda CALL  fstat(0x3,0xbfbfe750)
>>  25073 libgvc5-config-upda STRU  struct stat {dev=151060236, ino=2225073, mode=-r--r--r-- , nlink=1, uid=0, gid=0, rdev=4294967295, atime=1305606374.522843234, stime=1305606374.522843234, ctime=1305606374.522843234, birthtime=-1, size=0, blksize=4096, blocks=0, flags=0x0 }
>>  25073 libgvc5-config-upda RET   fstat 0
>>  25073 libgvc5-config-upda CALL  mmap(0,0x1000,PROT_READ|PROT_WRITE,MAP_ANON|MAP_TYPE|MAP_PRIVATE,0xffffffff,0,0)
>>  25073 libgvc5-config-upda RET   mmap 673751040/0x2828a000
>>  25073 libgvc5-config-upda CALL  read(0x3,0x2828a000,0x1000)
>>  25073 libgvc5-config-upda GIO   fd 3 read 2746 bytes
>>        "08048000-08049000 r-xp 00002000 00:00 406079     /srv/schroot/unstable/usr/sbin/libgvc5-config-update
>> 	08049000-0806b000 rw-p 00022000 00:00 0
>> 	28049000-28064000 r-xp 0001d000 00:00 400659     /srv/schroot/unstable/lib/ld-2.13.so
>> 	28064000-28065000 r--p 0001d000 00:00 400659     /srv/schroot/unstable/lib/ld-2.13.so
>> 	28065000-28068000 rw-p 00003000 00:00 0
>> 	28068000-2806b000 r--p 00003000 00:00 406738     /srv/schroot/unstable/etc/ld.so.cache
>> 	2806b000-280cd000 r-xp 0006e000 00:00 406078     /srv/schroot/unstable/usr/lib/libgvc.so.5.0.0
>> 	280cd000-280da000 rw-p 0006e000 00:00 406078     /srv/schroot/unstable/usr/lib/libgvc.so.5.0.0
>> 	280da000-280e6000 r-xp 0000d000 00:00 405098     /srv/schroot/unstable/usr/lib/libgraph.so.4.0.0
>> 	280e6000-280e7000 rw-p 0000d000 00:00 405098     /srv/schroot/unstable/usr/lib/libgraph.so.4.0.0
>> 	280e7000-2820b000 r-xp 00129000 00:00 400677     /srv/schroot/unstable/lib/libc-2.13.so
>> 	2820b000-2820d000 r--p 00129000 00:00 400677     /srv/schroot/unstable/lib/libc-2.13.so
>> 	2820d000-2820e000 rw-p 00129000 00:00 400677     /srv/schroot/unstable/lib/libc-2.13.so
>> 	2820e000-28212000 rw-p 00004000 00:00 0
>> 	28212000-28215000 r-xp 00003000 00:00 406072     /srv/schroot/unstable/usr/lib/libxdot.so.4.0.0
>> 	28215000-28216000 rw-p 00003000 00:00 406072     /srv/schroot/unstable/usr/lib/libxdot.so.4.0.0
>> 	28216000-2821b000 r-xp 00005000 00:00 405063     /srv/schroot/unstable/usr/lib/libcdt.so.4.0.0
>> 	2821b000-2821c000 rw-p 00005000 00:00 405063     /srv/schroot/unstable/usr/lib/libcdt.so.4.0.0
>> 	2821c000-28223000 r-xp 00008000 00:00 406066     /srv/schroot/unstable/usr/lib/libpathplan.so.4.0.0
>> 	28223000-28224000 rw-p 00008000 00:00 406066     /srv/schroot/unstable/usr/lib/libpathplan.so.4.0.0
>> 	28224000-28226000 r-xp 00003000 00:00 400680     /srv/schroot/unstable/lib/libdl-2.13.so
>> 	28226000-28227000 r--p 00003000 00:00 400680     /srv/schroot/unstable/lib/libdl-2.13.so
>> 	28227000-28228000 rw-p 00003000 00:00 400680     /srv/schroot/unstable/lib/libdl-2.13.so
>> 	28228000-2824c000 r-xp 00026000 00:00 401410     /srv/schroot/unstable/usr/lib/libexpat.so.1.5.2
>> 	2824c000-2824e000 rw-p 00026000 00:00 401410     /srv/schroot/unstable/usr/lib/libexpat.so.1.5.2
>> 	2824e000-28261000 r-xp 00014000 00:00 404381     /srv/schroot/unstable/usr/lib/libz.so.1.2.3.4
>> 	28261000-28262000 rw-p 00014000 00:00 404381     /srv/schroot/unstable/usr/lib/libz.so.1.2.3.4
>> 	28262000-28263000 rw-p 00001000 00:00 0
>> 	28263000-28287000 r-xp 00025000 00:00 400681     /srv/schroot/unstable/lib/libm-2.13.so
>> 	28287000-28288000 r--p 00025000 00:00 400681     /srv/schroot/unstable/lib/libm-2.13.so
>> 	28288000-28289000 rw-p 00025000 00:00 400681     /srv/schroot/unstable/lib/libm-2.13.so
>> 	28289000-2828b000 rw-p 00002000 00:00 0
>> 	bfbe0000-bfc00000 rwxp 00020000 00:00 0
>>        "
>>  25073 libgvc5-config-upda RET   read 2746/0xaba
>>  25073 libgvc5-config-upda CALL  close(0x3)
>>  25073 libgvc5-config-upda RET   close 0
>>  25073 libgvc5-config-upda CALL  munmap(0x2828a000,0x1000)
>>  25073 libgvc5-config-upda RET   munmap 0
>>  25073 libgvc5-config-upda CALL  stat(0x280d9160,0xbfbfe950)
>>  25073 libgvc5-config-upda NAMI  "/srv/schroot/unstable/usr/lib/graphviz"
>>  25073 libgvc5-config-upda RET   stat -1 errno 2 No such file or directory
>>  25073 libgvc5-config-upda CALL  stat(0x280d9160,0xbfbfe810)
>>  25073 libgvc5-config-upda NAMI  "/srv/schroot/unstable/usr/lib/graphviz"
>>  25073 libgvc5-config-upda RET   stat -1 errno 2 No such file or directory
>>  25073 libgvc5-config-upda CALL  exit(0)




Information forwarded to debian-bugs-dist@lists.debian.org, David Claughton <dave@eclecticdave.com>:
Bug#575797; Package graphviz. (Wed, 18 May 2011 19:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to David Claughton <dave@eclecticdave.com>. (Wed, 18 May 2011 19:21:06 GMT) Full text and rfc822 format available.

Message #61 received at 575797@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 575797@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: `dot -c`: not coping with chroot environment?
Date: Wed, 18 May 2011 21:18:24 +0200
[Message part 1 (text/plain, inline)]
tag 575797 + patch pending
kthxbye

Petr Salinger <Petr.Salinger@seznam.cz> writes:
> Unfortunately, the provided "proc/self/maps" is only close to linux one,
> it does not cope with chroots.
>
> The comment in graphviz source already says it works only on linux ;-)
>
> Please, could you verify whether this change works:
>
> --- a/lib/gvc/gvconfig.c
> +++ b/lib/gvc/gvconfig.c
> @@ -316,7 +316,8 @@
>                             continue;
>                         strcpy(line, path);  /* use line buffer for result */
>                         strcat(line, "/graphviz");  /* plugins are in "graphviz" subdirectory */
> -                       libdir = line;
> +                       if (access(line, R_OK))
> +                           libdir = line;
>                         break;
>                     }
>                 }
>

Nearly -- doing a access() == F_OK in the if works. Thanks for the help!
David, mind me building a upload with this change?

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer

A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending and patch. Request was from Christoph Egger <christoph@debian.org> to control@bugs.debian.org. (Wed, 18 May 2011 19:21:13 GMT) Full text and rfc822 format available.

Reply sent to Christoph Egger <christoph@debian.org>:
You have taken responsibility. (Wed, 18 May 2011 22:51:07 GMT) Full text and rfc822 format available.

Notification sent to "Trent W. Buck" <trentbuck@gmail.com>:
Bug acknowledged by developer. (Wed, 18 May 2011 22:51:07 GMT) Full text and rfc822 format available.

Message #68 received at 575797-close@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 575797-close@bugs.debian.org
Subject: Bug#575797: fixed in graphviz 2.26.3-7
Date: Wed, 18 May 2011 22:47:58 +0000
Source: graphviz
Source-Version: 2.26.3-7

We believe that the bug you reported is fixed in the latest version of
graphviz, which is due to be installed in the Debian FTP archive:

graphviz-dev_2.26.3-7_all.deb
  to main/g/graphviz/graphviz-dev_2.26.3-7_all.deb
graphviz-doc_2.26.3-7_all.deb
  to main/g/graphviz/graphviz-doc_2.26.3-7_all.deb
graphviz_2.26.3-7.debian.tar.gz
  to main/g/graphviz/graphviz_2.26.3-7.debian.tar.gz
graphviz_2.26.3-7.dsc
  to main/g/graphviz/graphviz_2.26.3-7.dsc
graphviz_2.26.3-7_amd64.deb
  to main/g/graphviz/graphviz_2.26.3-7_amd64.deb
libcdt4_2.26.3-7_amd64.deb
  to main/g/graphviz/libcdt4_2.26.3-7_amd64.deb
libcgraph5_2.26.3-7_amd64.deb
  to main/g/graphviz/libcgraph5_2.26.3-7_amd64.deb
libgraph4_2.26.3-7_amd64.deb
  to main/g/graphviz/libgraph4_2.26.3-7_amd64.deb
libgraphviz-dev_2.26.3-7_amd64.deb
  to main/g/graphviz/libgraphviz-dev_2.26.3-7_amd64.deb
libgv-guile_2.26.3-7_amd64.deb
  to main/g/graphviz/libgv-guile_2.26.3-7_amd64.deb
libgv-lua_2.26.3-7_amd64.deb
  to main/g/graphviz/libgv-lua_2.26.3-7_amd64.deb
libgv-ocaml_2.26.3-7_amd64.deb
  to main/g/graphviz/libgv-ocaml_2.26.3-7_amd64.deb
libgv-perl_2.26.3-7_amd64.deb
  to main/g/graphviz/libgv-perl_2.26.3-7_amd64.deb
libgv-php5_2.26.3-7_amd64.deb
  to main/g/graphviz/libgv-php5_2.26.3-7_amd64.deb
libgv-python_2.26.3-7_amd64.deb
  to main/g/graphviz/libgv-python_2.26.3-7_amd64.deb
libgv-ruby_2.26.3-7_amd64.deb
  to main/g/graphviz/libgv-ruby_2.26.3-7_amd64.deb
libgv-tcl_2.26.3-7_amd64.deb
  to main/g/graphviz/libgv-tcl_2.26.3-7_amd64.deb
libgvc5-plugins-gtk_2.26.3-7_amd64.deb
  to main/g/graphviz/libgvc5-plugins-gtk_2.26.3-7_amd64.deb
libgvc5_2.26.3-7_amd64.deb
  to main/g/graphviz/libgvc5_2.26.3-7_amd64.deb
libgvpr1_2.26.3-7_amd64.deb
  to main/g/graphviz/libgvpr1_2.26.3-7_amd64.deb
libpathplan4_2.26.3-7_amd64.deb
  to main/g/graphviz/libpathplan4_2.26.3-7_amd64.deb
libxdot4_2.26.3-7_amd64.deb
  to main/g/graphviz/libxdot4_2.26.3-7_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 575797@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Egger <christoph@debian.org> (supplier of updated graphviz package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 18 May 2011 23:13:54 +0200
Source: graphviz
Binary: graphviz libgv-guile libgv-lua libgv-ocaml libgv-perl libgv-php5 libgv-python libgv-ruby libgv-tcl libgraph4 libcgraph5 libcdt4 libpathplan4 libgvc5 libgvc5-plugins-gtk libgvpr1 libxdot4 libgraphviz-dev graphviz-doc graphviz-dev
Architecture: source all amd64
Version: 2.26.3-7
Distribution: unstable
Urgency: low
Maintainer: David Claughton <dave@eclecticdave.com>
Changed-By: Christoph Egger <christoph@debian.org>
Description: 
 graphviz   - rich set of graph drawing tools
 graphviz-dev - transitional package for graphviz-dev rename
 graphviz-doc - additional documentation for graphviz
 libcdt4    - rich set of graph drawing tools - cdt library
 libcgraph5 - rich set of graph drawing tools - cgraph library
 libgraph4  - rich set of graph drawing tools - graph library
 libgraphviz-dev - graphviz libs and headers against which to build applications
 libgv-guile - Guile bindings for graphviz
 libgv-lua  - Lua bindings for graphviz
 libgv-ocaml - OCaml bindings for graphviz
 libgv-perl - Perl bindings for graphviz
 libgv-php5 - PHP5 bindings for graphviz
 libgv-python - Python bindings for graphviz
 libgv-ruby - Ruby bindings for graphviz
 libgv-tcl  - Tcl bindings for graphviz
 libgvc5    - rich set of graph drawing tools - gvc library
 libgvc5-plugins-gtk - rich set of graph drawing tools - gtk plugins
 libgvpr1   - rich set of graph drawing tools - gvpr library
 libpathplan4 - rich set of graph drawing tools - pathplan library
 libxdot4   - rich set of graph drawing tools - xdot library
Closes: 575797
Changes: 
 graphviz (2.26.3-7) unstable; urgency=low
 .
   * refresh patches
   * Add patch by Petr Salinger to handle chroot case on kFreeBSD
     correctly (Closes: #575797)
   * Fix clean target
Checksums-Sha1: 
 0650158c9cf07e7dc575addd0c3ae706418bb7ff 2691 graphviz_2.26.3-7.dsc
 e0d681756c7fe244b9b4447b81f3de153e578601 51162 graphviz_2.26.3-7.debian.tar.gz
 79b5af492d20fb12af9111d8991eec5d84a39bf3 2564224 graphviz-doc_2.26.3-7_all.deb
 a1f70568eba1eca5e11a0ab27db0b2057e5c325f 48328 graphviz-dev_2.26.3-7_all.deb
 f11b3bf5852117e54baa5982ade3cae3d973f7fd 373892 graphviz_2.26.3-7_amd64.deb
 423ae8bb3c13e1d78540ea7ba5d0858ff1e4c172 71674 libgv-guile_2.26.3-7_amd64.deb
 8479f7d7f785cb6709935f4ff0b321d877dbe517 81178 libgv-lua_2.26.3-7_amd64.deb
 9bb552e2ffd5beee80e000a7e4af7ae724b104a6 79700 libgv-ocaml_2.26.3-7_amd64.deb
 53ce0a00e7866c90e01161f232777ae699e81d88 97666 libgv-perl_2.26.3-7_amd64.deb
 ac96ed4baa7ce7023bb32f11c362d7ac2051edb2 80830 libgv-php5_2.26.3-7_amd64.deb
 443520ee49d2215f097ec31e17ebbf0f4eea8eca 114292 libgv-python_2.26.3-7_amd64.deb
 7062cd15a951b235f5cb44a7b0439c81abaa19fb 75498 libgv-ruby_2.26.3-7_amd64.deb
 332c64b1a0546b9a54dd9882d396a1438a92415b 679370 libgv-tcl_2.26.3-7_amd64.deb
 6d58bad7946cde6ac4f0f65f7c2bc75ee2498717 72950 libgraph4_2.26.3-7_amd64.deb
 00b6dad50a1bdb9068015084733b5118999566e8 86970 libcgraph5_2.26.3-7_amd64.deb
 5f3b71a12f34df703fea1a7b0cdee0b16a9a6132 58796 libcdt4_2.26.3-7_amd64.deb
 f317291f8c38457a9e96ea73a50c8b4c6aff6874 64166 libpathplan4_2.26.3-7_amd64.deb
 bd2375d749db761dcc1a94498f95b558c19ae56b 554660 libgvc5_2.26.3-7_amd64.deb
 3343e6c7e7e6add4f5936e2577a54bb7bf110985 61384 libgvc5-plugins-gtk_2.26.3-7_amd64.deb
 a1fe9a2218d0928da9c57361b2f7479255c5e9fb 242738 libgvpr1_2.26.3-7_amd64.deb
 f99393196bef88fd7f35247c6ffc3cb1c339cdb1 53412 libxdot4_2.26.3-7_amd64.deb
 a111e44a5b81ac5d3bd1890244eb38868c9afc7f 120664 libgraphviz-dev_2.26.3-7_amd64.deb
Checksums-Sha256: 
 25c97749df358856eeed302c33d34b771b1b714489705a3db017ac2bfeae6aef 2691 graphviz_2.26.3-7.dsc
 8bd8929769e384f4db7c491d201abdcd7983cf243684af0e33342de53d176461 51162 graphviz_2.26.3-7.debian.tar.gz
 094b2ae5fec56e4b07d2db6419878fea54b31224d182c1186c57c46359d4006c 2564224 graphviz-doc_2.26.3-7_all.deb
 01b015e67f17737e476ba37914dd974f833727f3dd7b31ad4608a7eac499bdde 48328 graphviz-dev_2.26.3-7_all.deb
 0087b39113abb2460a9a99f734426679618fb4d9a64c42f9643952899ebd0d10 373892 graphviz_2.26.3-7_amd64.deb
 54dd5304d227e6984478b2aee9a1856cb403549410c64152ee153bb634b6efd6 71674 libgv-guile_2.26.3-7_amd64.deb
 fa726df192ee37fcc2a90cf9d333ddc6955d4530b7616cc75a260b1dbc9efce6 81178 libgv-lua_2.26.3-7_amd64.deb
 55d62c6e0de75082fbef546751335f1583fe24f2cc5754c9506a6058d58d32c8 79700 libgv-ocaml_2.26.3-7_amd64.deb
 1e349296613281d9a976f8362f4c4feddc1fc244e5745f2cf2e60896c8fa18ce 97666 libgv-perl_2.26.3-7_amd64.deb
 e892eb9edec7fb0e9b9f283cc9c299f207675db74e02ffe37fca248bbcdd36df 80830 libgv-php5_2.26.3-7_amd64.deb
 90b0bf2df7f7a1338542223f7e57e4b916a95b1f75f850451a8f118628293f70 114292 libgv-python_2.26.3-7_amd64.deb
 3df20ad3b15937cc193120d3182278a39c33150bec74268dcc28d1a71c57920e 75498 libgv-ruby_2.26.3-7_amd64.deb
 3349423cfb92f013003ca1d15569a18117e3a43d5f8f40477c78cd0adda31528 679370 libgv-tcl_2.26.3-7_amd64.deb
 7cca3d1afb68a1afdfe1945cfbf848b5c99a2ca10778fc568e825c28d9a1dd96 72950 libgraph4_2.26.3-7_amd64.deb
 32b044d8c6895840735cd85c27124394324dbd80e08d8ffc77da3807e189aecd 86970 libcgraph5_2.26.3-7_amd64.deb
 c1d1a439308544d261a8fcecc917a12673de6fb7ba80837c1d0b19f73c46d7d3 58796 libcdt4_2.26.3-7_amd64.deb
 d8b8f622f6c4f6a3ef6eb75df097dbf79f6b3c20caa612a9566c882944e12a34 64166 libpathplan4_2.26.3-7_amd64.deb
 0f92d4b08cd986a3a90b677cbdf3aeb1c9f4ab783e00b8baf122afe5c5882d60 554660 libgvc5_2.26.3-7_amd64.deb
 1b6a268601c5e7824fbfa514bc549af4a95dbbde10048fec39d2252c6b7b7ada 61384 libgvc5-plugins-gtk_2.26.3-7_amd64.deb
 42a7cb93eb7c19b93708d1fb4b184ebd689f102ac8ca4169536f5c8127fa6b9f 242738 libgvpr1_2.26.3-7_amd64.deb
 748129b6543fdcc1614ec156f3b1f62f823125aac279fba17547b29cd14713c9 53412 libxdot4_2.26.3-7_amd64.deb
 5fa0bef30c8b2f173f286d11fc1d2e4a19f64ae93ea17af6b6e274ba69ccbd54 120664 libgraphviz-dev_2.26.3-7_amd64.deb
Files: 
 b5f2c59328e2308208f81f7102ec96bc 2691 graphics optional graphviz_2.26.3-7.dsc
 dfeca3f252020b81c11831150765c089 51162 graphics optional graphviz_2.26.3-7.debian.tar.gz
 7a2af7e34a07c72f4de9ae8fa713a8ad 2564224 doc optional graphviz-doc_2.26.3-7_all.deb
 53c149f85e6dd2695e73f42a053b67cb 48328 devel optional graphviz-dev_2.26.3-7_all.deb
 ab0a1c82a748de37effc14894e9ca258 373892 graphics optional graphviz_2.26.3-7_amd64.deb
 7347064ab807d56849d24396d2dc00f8 71674 interpreters optional libgv-guile_2.26.3-7_amd64.deb
 a5669b62b050f6bf2a0a7eebc61de11e 81178 interpreters optional libgv-lua_2.26.3-7_amd64.deb
 c4e9a39977425fc9dee5c8011af4936d 79700 ocaml optional libgv-ocaml_2.26.3-7_amd64.deb
 a1be6fe58385f1578a2989c53b23dbaf 97666 perl optional libgv-perl_2.26.3-7_amd64.deb
 d5b0b1860eae58bc687a23eed5b154e9 80830 php optional libgv-php5_2.26.3-7_amd64.deb
 3ae80b5de66710dee78e0a409adb2ba6 114292 python optional libgv-python_2.26.3-7_amd64.deb
 cee55ad0ffad21591391f7b192b97894 75498 ruby optional libgv-ruby_2.26.3-7_amd64.deb
 c094c0ae344bbe9e82fac9d69aba5671 679370 interpreters optional libgv-tcl_2.26.3-7_amd64.deb
 8cd2420581bcf2dcfd597129d1c84286 72950 libs optional libgraph4_2.26.3-7_amd64.deb
 31347a7cccce8acbcad68c17f9efa7cd 86970 libs optional libcgraph5_2.26.3-7_amd64.deb
 29b05acf52d52223777c9c250e56f995 58796 libs optional libcdt4_2.26.3-7_amd64.deb
 3b4759dfb264072606ccbd6b425703b9 64166 libs optional libpathplan4_2.26.3-7_amd64.deb
 78c485e347789f51adec51111b1a8e5a 554660 libs optional libgvc5_2.26.3-7_amd64.deb
 c718ec6ff2d2ad33eb06d65bd1d71ef1 61384 libs optional libgvc5-plugins-gtk_2.26.3-7_amd64.deb
 d723ee26e62478b7a0339d2f19d409d7 242738 libs optional libgvpr1_2.26.3-7_amd64.deb
 f74bb554e05dbefb0789599cec0281bf 53412 libs optional libxdot4_2.26.3-7_amd64.deb
 fb3c674ae0d1a81c4a1761b0ea90df2a 120664 libdevel optional libgraphviz-dev_2.26.3-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJN1EacAAoJEKv/7bJACMb5L1kP/0cg/t3iU0UbQ1NV7BwVvnFP
9mU8tMPv6RuSiM3jyxISErlwkvnxZ8MohMAMv5OIpvE9Vc3+Bk/ZmC+TBs2kCqoq
6GPPJfav6N+1XzQfJfGSTEnbAW+/3DUvAy/dHy/UV930YG1Pe3BRK0Dv8T0PvCm+
R/2MMQA0rmMVlBzHUKETp038TGrvpDEKas9QwnaqPAgr860C0oghSvu9lTZcI1Pt
AJV+GDdO2ku71WBksSc43Mhpi654lreSz2YaNXWy22qZ/vlv7vTfc0PaaheeRmSU
ytu+CCQWoBUQ8Zy/wcBk7/Km/9HiBMswhb0b3rWWXe6qcpo+LiuVWy4PmxeTPNg3
c8QiKiH8J66vZJkoWJL4LnwftTIwXpDCcAbNs3JgDvlz87yCQnIVbssvHizeZFLT
J0Y2M7JPwGYDTv2ek/R89XjYO36ep/d7FJEES/lUQ01IbWj9wkR5v8IM51PWX9cf
6iY0IkcmJ+Kkk/NBy562rIbpYMjpmxwMaMHIioYTvZdf3YrRaGvBu4cYmL61idhc
AQHbD4Gow4ZuIqOoGlyf/+iKCvJ9VIO3C2pYI+zR7yxdijRa/Qkr20E2uP1xrCVO
UeOGk/eVTtxw1gMNkC/IjPlCePj51HzfQU/jxM3BMqzyNBE5gzZZNH/3bftj7JoQ
/Xk7k0k8roY4f67hWG9w
=/8pE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Jun 2011 07:38:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:26:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.